var documenterSearchIndex = {"docs":
[{"location":"index.html","page":"Home","title":"Home","text":"CurrentModule = Leaflet","category":"page"},{"location":"index.html#LeafletJS","page":"Home","title":"LeafletJS","text":"","category":"section"},{"location":"index.html","page":"Home","title":"Home","text":"Documentation for Leaflet.","category":"page"},{"location":"index.html","page":"Home","title":"Home","text":"","category":"page"},{"location":"index.html","page":"Home","title":"Home","text":"Modules = [Leaflet]","category":"page"},{"location":"index.html#Leaflet.Layer","page":"Home","title":"Leaflet.Layer","text":"Layer(data; kw...)\n\nDefine a point/polygon layer for leaflet.\n\nArguments\n\ndata: An object conforming to the GeoInterface.jl interface   or a Vector of such objects.\n\nKeyword arguments\n\ncolor = \"blue\": shape color. Can use web color names or RGB strings.\ncolor_map = \"nothing\": color map.\nopacity = 0.5: alpha transparency.\nfill_opacity = 0.5: alpha transparency of fill. By default the same as opacity.\nmarker_size = 3.0: size of markers.\nborder_width = 2.0: width of shape borders.\n\nExample\n\nusing Leaflet, GADM, Blink\nmauritius_border = GADM.get(\"MUS\").geom\nm = LeafletMap(; \n    layers=Leaflet.Layer(mauritius_border)\n    provider=CARTO(:dark);\n    height=1000\n)\nw = Blink.Window()\nbody!(w, m)\n\n\n\n\n\n","category":"type"},{"location":"index.html#Leaflet.Map","page":"Home","title":"Leaflet.Map","text":"Map(; kw...)\n\nA leaflet map object that will render as HTML/Javascript.\n\nKeyword arguments\n\nprovider = Providers.OSM(): base layer Provider.\nlayers: Layer or Vector{Layer}.\ncenter::Vector{Float64} = Float64[0.0, 0.0]: center coordinate.\nwidth::Int = 900: map width in pixels.\nheight::Int = 500: map height in pixels.\nzoom::Int = 11: default zoom level.\n\nExample\n\nusing Leaflet\nprov = Leaflet.OSM()\n\n\n\n\n\n\n","category":"type"},{"location":"index.html#Leaflet.Provider","page":"Home","title":"Leaflet.Provider","text":"Provider\n\nProvider(url; maxzoom=18, attribution=\"\")\nProvider(url, options)\n\nArguments\n\nurl: URL tile path, e.g. \"http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png\"\noptions: Dictionary of key/value pairs where the key is a Symbol.\n\nExample\n\nManually define an Open Street Map provider.\n\nusing Blink, Leaflet\n\n\njulia url = \"http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png\" provider = Leaflet.Provider(url)\n\nw = Blink.Window() body!(w, Leaflet.Map(; provider, zoom=3, height=1000))\n\n\n\n\n\n","category":"type"},{"location":"index.html#Leaflet.CARTO","page":"Home","title":"Leaflet.CARTO","text":"CARTO(variant::Symbol)\n\nCARTO basemaps.\n\nOptions for variant are: \n\n:light_all\n:light_nolabels\n:light_only_labels\n:dark_all\n:dark_nolabels\n:dark_only_labels\n\n\n\n\n\n","category":"function"},{"location":"index.html#Leaflet.Esri","page":"Home","title":"Leaflet.Esri","text":"Esri(variant::Symbol)\n\nEsri basemaps.\n\nOptions for variant are: \n\n:street\n:delorme\n:topo\n:imagery\n:terrain\n:releif\n:physical\n:ocean\n:natgeo\n:light_gray\n\n\n\n\n\n","category":"function"},{"location":"index.html#Leaflet.Google","page":"Home","title":"Leaflet.Google","text":"Google()\n\nProficer for base layers from Google maps.\n\nOptions for variant are: \n\n:roadmap\n:satelite\n:terrain\n:hybrid\n\n\n\n\n\n","category":"function"},{"location":"index.html#Leaflet.Jawg-Tuple{Symbol}","page":"Home","title":"Leaflet.Jawg","text":"Jawg(variant::Symbol; access_token)\n\nBase layers from Jawg. Must pass an access_token to use the API.\n\nOptions for variant are: \n\n:streets\n:terrain\n:sunny\n:dark\n:light\n:matrix\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.MapBox-Tuple{}","page":"Home","title":"Leaflet.MapBox","text":"Mapbox(variant::Symbol=:cycle; apikey)\n\nProvider for the Mapbox base layer.\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.NASAGIBS","page":"Home","title":"Leaflet.NASAGIBS","text":"NASAGIBS(variant::Symbol; date=\"2020-01-01\")\n\nA huge range of layers from NASA GIBS\n\ndate can be a \"yyyy-mm-dd\" String or any Dates.TimeType like Date or DateTime. It must correspond to an available date for the dataset - if not empty tiles will be returned. By default it is \"2020-01-01\" for quick exploration of datasets - but this may not correspond  to an actually available date. See the documentation linked above for the list of available dates.\n\nExample\n\nprovider = Leaflet.NASAGIBS(:AMSRE_Brightness_Temp_89H_Day; date=Date(2010, 05, 07))\nm = Leaflet.Map(; provider, zoom=3, height=1000);\n# Open as a Blink.jl app\nw = Blink.Window()\nbody!(w, m)\n\nOptions for variant are: \n\n:Agricultural_Lands_Croplands_2000\n:Agricultural_Lands_Pastures_2000\n:AIRS_All_Sky_Outgoing_Longwave_Radiation_Daily_Day\n:AIRS_All_Sky_Outgoing_Longwave_Radiation_Daily_Night\n:AIRS_All_Sky_Outgoing_Longwave_Radiation_Monthly_Day\n:AIRS_All_Sky_Outgoing_Longwave_Radiation_Monthly_Night\n:AIRS_Carbon_Dioxide_AIRS_AMSU_Monthly\n:AIRS_Carbon_Dioxide_IR_Monthly\n:AIRS_Carbon_Monoxide_Volume_Mixing_Ratio_Daily_Day\n:AIRS_Carbon_Monoxide_Volume_Mixing_Ratio_Daily_Night\n:AIRS_Carbon_Monoxide_Volume_Mixing_Ratio_Monthly_Day\n:AIRS_Carbon_Monoxide_Volume_Mixing_Ratio_Monthly_Night\n:AIRS_Clear_Sky_Outgoing_Longwave_Radiation_Daily_Day\n:AIRS_Clear_Sky_Outgoing_Longwave_Radiation_Daily_Night\n:AIRS_Clear_Sky_Outgoing_Longwave_Radiation_Monthly_Day\n:AIRS_Clear_Sky_Outgoing_Longwave_Radiation_Monthly_Night\n:AIRS_CO_Total_Column_Day\n:AIRS_CO_Total_Column_Night\n:AIRS_Dust_Score_Ocean_Day\n:AIRS_Dust_Score_Ocean_Night\n:AIRS_Methane_Volume_Mixing_Ratio_Daily_Day\n:AIRS_Methane_Volume_Mixing_Ratio_Daily_Night\n:AIRS_Methane_Volume_Mixing_Ratio_Monthly_Day\n:AIRS_Methane_Volume_Mixing_Ratio_Monthly_Night\n:AIRS_Prata_SO2_Index_Day\n:AIRS_Prata_SO2_Index_Night\n:AIRS_Precipitation_Day\n:AIRS_Precipitation_Night\n:AIRS_RelativeHumidity_400hPa_Day\n:AIRS_RelativeHumidity_400hPa_Night\n:AIRS_RelativeHumidity_500hPa_Day\n:AIRS_RelativeHumidity_500hPa_Night\n:AIRS_RelativeHumidity_600hPa_Day\n:AIRS_RelativeHumidity_600hPa_Night\n:AIRS_RelativeHumidity_700hPa_Day\n:AIRS_RelativeHumidity_700hPa_Night\n:AIRS_RelativeHumidity_850hPa_Day\n:AIRS_RelativeHumidity_850hPa_Night\n:AIRS_Surface_Air_Temperature_Daily_Day\n:AIRS_Surface_Air_Temperature_Daily_Night\n:AIRS_Surface_Air_Temperature_Monthly_Day\n:AIRS_Surface_Air_Temperature_Monthly_Night\n:AIRS_Surface_Relative_Humidity_Daily_Day\n:AIRS_Surface_Relative_Humidity_Daily_Night\n:AIRS_Surface_Relative_Humidity_Monthly_Day\n:AIRS_Surface_Relative_Humidity_Monthly_Night\n:AIRS_Surface_Skin_Temperature_Daily_Day\n:AIRS_Surface_Skin_Temperature_Daily_Night\n:AIRS_Surface_Skin_Temperature_Monthly_Day\n:AIRS_Surface_Skin_Temperature_Monthly_Night\n:AIRS_Temperature_400hPa_Day\n:AIRS_Temperature_400hPa_Night\n:AIRS_Temperature_500hPa_Day\n:AIRS_Temperature_500hPa_Night\n:AIRS_Temperature_600hPa_Day\n:AIRS_Temperature_600hPa_Night\n:AIRS_Temperature_700hPa_Day\n:AIRS_Temperature_700hPa_Night\n:AIRS_Temperature_850hPa_Day\n:AIRS_Temperature_850hPa_Night\n:Amphibian_Richness_All_Species_2013\n:Amphibian_Richness_All_Threats_2013\n:Amphibian_Richness_Critically_Endangered_Species_2013\n:Amphibian_Richness_Endangered_Species_2013\n:Amphibian_Richness_Vulnerable_Species_2013\n:AMSR2_Cloud_Liquid_Water_Day\n:AMSR2_Cloud_Liquid_Water_Night\n:AMSR2_Columnar_Water_Vapor_Day\n:AMSR2_Columnar_Water_Vapor_Night\n:AMSR2_Snow_Water_Equivalent\n:AMSR2_Surface_Precipitation_Rate_Day\n:AMSR2_Surface_Precipitation_Rate_Night\n:AMSR2_Surface_Rain_Rate_Day\n:AMSR2_Surface_Rain_Rate_Night\n:AMSR2_Wind_Speed_Day\n:AMSR2_Wind_Speed_Night\n:AMSRE_Brightness_Temp_89H_Day\n:AMSRE_Brightness_Temp_89H_Night\n:AMSRE_Brightness_Temp_89V_Day\n:AMSRE_Brightness_Temp_89V_Night\n:AMSRE_Sea_Ice_Brightness_Temp_89H\n:AMSRE_Sea_Ice_Brightness_Temp_89V\n:AMSRE_Sea_Ice_Concentration_12km\n:AMSRE_Sea_Ice_Concentration_25km\n:AMSRE_Snow_Depth_Over_Ice\n:AMSRE_Surface_Precipitation_Rate_Day\n:AMSRE_Surface_Precipitation_Rate_Night\n:AMSRE_Surface_Rain_Rate_Day\n:AMSRE_Surface_Rain_Rate_Night\n:AMSRU2_Sea_Ice_Brightness_Temp_89H\n:AMSRU2_Sea_Ice_Brightness_Temp_89V\n:AMSRU2_Sea_Ice_Concentration_12km\n:AMSRU2_Sea_Ice_Concentration_25km\n:AMSRU2_Soil_Moisture_NPD_Day\n:AMSRU2_Soil_Moisture_NPD_Night\n:AMSRU2_Soil_Moisture_SCA_Day\n:AMSRU2_Soil_Moisture_SCA_Night\n:AMSUA_NOAA15_Brightness_Temp_Channel_1\n:AMSUA_NOAA15_Brightness_Temp_Channel_10\n:AMSUA_NOAA15_Brightness_Temp_Channel_11\n:AMSUA_NOAA15_Brightness_Temp_Channel_12\n:AMSUA_NOAA15_Brightness_Temp_Channel_13\n:AMSUA_NOAA15_Brightness_Temp_Channel_14\n:AMSUA_NOAA15_Brightness_Temp_Channel_15\n:AMSUA_NOAA15_Brightness_Temp_Channel_2\n:AMSUA_NOAA15_Brightness_Temp_Channel_3\n:AMSUA_NOAA15_Brightness_Temp_Channel_4\n:AMSUA_NOAA15_Brightness_Temp_Channel_5\n:AMSUA_NOAA15_Brightness_Temp_Channel_6\n:AMSUA_NOAA15_Brightness_Temp_Channel_7\n:AMSUA_NOAA15_Brightness_Temp_Channel_8\n:AMSUA_NOAA15_Brightness_Temp_Channel_9\n:AMSUA_NOAA16_Brightness_Temp_Channel_1\n:AMSUA_NOAA16_Brightness_Temp_Channel_10\n:AMSUA_NOAA16_Brightness_Temp_Channel_11\n:AMSUA_NOAA16_Brightness_Temp_Channel_12\n:AMSUA_NOAA16_Brightness_Temp_Channel_13\n:AMSUA_NOAA16_Brightness_Temp_Channel_14\n:AMSUA_NOAA16_Brightness_Temp_Channel_15\n:AMSUA_NOAA16_Brightness_Temp_Channel_2\n:AMSUA_NOAA16_Brightness_Temp_Channel_3\n:AMSUA_NOAA16_Brightness_Temp_Channel_4\n:AMSUA_NOAA16_Brightness_Temp_Channel_5\n:AMSUA_NOAA16_Brightness_Temp_Channel_6\n:AMSUA_NOAA16_Brightness_Temp_Channel_7\n:AMSUA_NOAA16_Brightness_Temp_Channel_8\n:AMSUA_NOAA16_Brightness_Temp_Channel_9\n:AMSUA_NOAA17_Brightness_Temp_Channel_1\n:AMSUA_NOAA17_Brightness_Temp_Channel_10\n:AMSUA_NOAA17_Brightness_Temp_Channel_11\n:AMSUA_NOAA17_Brightness_Temp_Channel_12\n:AMSUA_NOAA17_Brightness_Temp_Channel_13\n:AMSUA_NOAA17_Brightness_Temp_Channel_14\n:AMSUA_NOAA17_Brightness_Temp_Channel_15\n:AMSUA_NOAA17_Brightness_Temp_Channel_2\n:AMSUA_NOAA17_Brightness_Temp_Channel_3\n:AMSUA_NOAA17_Brightness_Temp_Channel_4\n:AMSUA_NOAA17_Brightness_Temp_Channel_5\n:AMSUA_NOAA17_Brightness_Temp_Channel_6\n:AMSUA_NOAA17_Brightness_Temp_Channel_7\n:AMSUA_NOAA17_Brightness_Temp_Channel_8\n:AMSUA_NOAA17_Brightness_Temp_Channel_9\n:Anthropogenic_Biomes_of_the_World_2001_2006\n:Aquarius_Sea_Surface_Salinity_L3_3Month\n:Aquarius_Sea_Surface_Salinity_L3_7Day_RunningMean\n:Aquarius_Sea_Surface_Salinity_L3_7Day_Snapshot\n:Aquarius_Sea_Surface_Salinity_L3_Daily\n:Aquarius_Sea_Surface_Salinity_L3_Monthly\n:Aquarius_Soil_Moisture_Daily\n:Aquarius_Soil_Moisture_Weekly\n:Aquarius_Wind_Speed_L3_7Day_Snapshot\n:Aquarius_Wind_Speed_L3_Daily\n:ASTER_GDEM_Color_Index\n:ASTER_GDEM_Color_Shaded_Relief\n:ASTER_GDEM_Greyscale_Shaded_Relief\n:ASTER_L1T_Radiance_Terrain_Corrected\n:AVISO_Absolute_Dynamic_Topography\n:BlueMarble_NextGeneration\n:BlueMarble_ShadedRelief\n:BlueMarble_ShadedRelief_Bathymetry\n:CALIPSO_Wide_Field_Camera_Radiance_v3_01\n:CALIPSO_Wide_Field_Camera_Radiance_v3_02\n:CCMP_REMSS_Meridional_Wind_Speed_Monthly\n:CCMP_REMSS_Scalar_Wind_Speed_Monthly\n:CCMP_REMSS_Zonal_Wind_Speed_Monthly\n:CERES_Combined_Surface_Longwave_Flux_Down_All_Sky_Monthly\n:CERES_Combined_Surface_Longwave_Flux_Down_Clear_Sky_Monthly\n:CERES_Combined_Surface_Longwave_Flux_Up_All_Sky_Monthly\n:CERES_Combined_Surface_Longwave_Flux_Up_Clear_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Diffuse_All_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Diffuse_Clear_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Direct_All_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Direct_Clear_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Down_All_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Down_Clear_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Up_All_Sky_Monthly\n:CERES_Combined_Surface_Shortwave_Flux_Up_Clear_Sky_Monthly\n:CERES_Combined_Surface_UV_Index_All_Sky_Monthly\n:CERES_Combined_Surface_Window_Region_Flux_Down_All_Sky_Monthly\n:CERES_Combined_Surface_Window_Region_Flux_Down_Clear_Sky_Monthly\n:CERES_Combined_Surface_Window_Region_Flux_Up_All_Sky_Monthly\n:CERES_Combined_Surface_Window_Region_Flux_Up_Clear_Sky_Monthly\n:CERES_Combined_TOA_Longwave_Flux_All_Sky_Monthly\n:CERES_Combined_TOA_Longwave_Flux_Clear_Sky_Monthly\n:CERES_Combined_TOA_Shortwave_Flux_All_Sky_Monthly\n:CERES_Combined_TOA_Shortwave_Flux_Clear_Sky_Monthly\n:CERES_Combined_TOA_Window_Region_Flux_All_Sky_Monthly\n:CERES_Combined_TOA_Window_Region_Flux_Clear_Sky_Monthly\n:CERES_EBAF_Surface_CRE_Net_Longwave_Flux_Monthly\n:CERES_EBAF_Surface_CRE_Net_Shortwave_Flux_Monthly\n:CERES_EBAF_Surface_CRE_Net_Total_Flux_Monthly\n:CERES_EBAF_Surface_Longwave_Flux_Down_All_Sky_Monthly\n:CERES_EBAF_Surface_Longwave_Flux_Down_Clear_Sky_Monthly\n:CERES_EBAF_Surface_Longwave_Flux_Up_All_Sky_Monthly\n:CERES_EBAF_Surface_Longwave_Flux_Up_Clear_Sky_Monthly\n:CERES_EBAF_Surface_Net_Longwave_Flux_All_Sky_Monthly\n:CERES_EBAF_Surface_Net_Longwave_Flux_Clear_Sky_Monthly\n:CERES_EBAF_Surface_Net_Shortwave_Flux_All_Sky_Monthly\n:CERES_EBAF_Surface_Net_Shortwave_Flux_Clear_Sky_Monthly\n:CERES_EBAF_Surface_Net_Total_Flux_All_Sky_Monthly\n:CERES_EBAF_Surface_Net_Total_Flux_Clear_Sky_Monthly\n:CERES_EBAF_Surface_Shortwave_Flux_Down_All_Sky_Monthly\n:CERES_EBAF_Surface_Shortwave_Flux_Down_Clear_Sky_Monthly\n:CERES_EBAF_Surface_Shortwave_Flux_Up_All_Sky_Monthly\n:CERES_EBAF_Surface_Shortwave_Flux_Up_Clear_Sky_Monthly\n:CERES_EBAF_TOA_CRE_Longwave_Flux_Monthly\n:CERES_EBAF_TOA_CRE_Net_Flux_Monthly\n:CERES_EBAF_TOA_CRE_Shortwave_Flux_Monthly\n:CERES_EBAF_TOA_Incoming_Solar_Flux_Monthly\n:CERES_EBAF_TOA_Longwave_Flux_All_Sky_Monthly\n:CERES_EBAF_TOA_Longwave_Flux_Clear_Sky_Monthly\n:CERES_EBAF_TOA_Net_Flux_All_Sky_Monthly\n:CERES_EBAF_TOA_Net_Flux_Clear_Sky_Monthly\n:CERES_EBAF_TOA_Shortwave_Flux_All_Sky_Monthly\n:CERES_EBAF_TOA_Shortwave_Flux_Clear_Sky_Monthly\n:CERES_Terra_Surface_Longwave_Flux_Down_All_Sky_Monthly\n:CERES_Terra_Surface_Longwave_Flux_Down_Clear_Sky_Monthly\n:CERES_Terra_Surface_Longwave_Flux_Up_All_Sky_Monthly\n:CERES_Terra_Surface_Longwave_Flux_Up_Clear_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Diffuse_All_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Diffuse_Clear_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Direct_All_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Direct_Clear_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Down_All_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Down_Clear_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Up_All_Sky_Monthly\n:CERES_Terra_Surface_Shortwave_Flux_Up_Clear_Sky_Monthly\n:CERES_Terra_Surface_UV_Index_All_Sky_Monthly\n:CERES_Terra_Surface_Window_Region_Flux_Down_All_Sky_Monthly\n:CERES_Terra_Surface_Window_Region_Flux_Down_Clear_Sky_Monthly\n:CERES_Terra_Surface_Window_Region_Flux_Up_All_Sky_Monthly\n:CERES_Terra_Surface_Window_Region_Flux_Up_Clear_Sky_Monthly\n:CERES_Terra_TOA_Longwave_Flux_All_Sky_Monthly\n:CERES_Terra_TOA_Longwave_Flux_Clear_Sky_Monthly\n:CERES_Terra_TOA_Shortwave_Flux_All_Sky_Monthly\n:CERES_Terra_TOA_Shortwave_Flux_Clear_Sky_Monthly\n:CERES_Terra_TOA_Window_Region_Flux_All_Sky_Monthly\n:CERES_Terra_TOA_Window_Region_Flux_Clear_Sky_Monthly\n:Coastlines\n:CYGNSS_L3_Wind_Speed_Daily\n:Daymet_Maximum_Air_Temp_Daily\n:Daymet_Minimum_Air_Temp_Daily\n:Estimated_Net_Migration_1970_1980\n:Estimated_Net_Migration_1980_1990\n:Estimated_Net_Migration_1990_2000\n:GHRSST_L4_AVHRR_OI_Sea_Surface_Temperature\n:GHRSST_L4_G1SST_Sea_Surface_Temperature\n:GHRSST_L4_MUR_Sea_Surface_Temperature\n:GLDAS_Near_Surface_Air_Temperature_Monthly\n:GLDAS_Surface_Total_Precipitation_Rate_Monthly\n:GLDAS_Underground_Soil_Moisture_Monthly\n:GMI_Brightness_Temp_Asc\n:GMI_Brightness_Temp_Dsc\n:GMI_Rain_Rate_Asc\n:GMI_Rain_Rate_Dsc\n:GMI_Snow_Rate_Asc\n:GMI_Snow_Rate_Dsc\n:GPW_Population_Density_2000\n:GPW_Population_Density_2005\n:GPW_Population_Density_2010\n:GPW_Population_Density_2015\n:GPW_Population_Density_2020\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Land_CSR\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Land_GFZ\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Land_JPL\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Mascon\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Mascon_CRI\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Ocean_CSR\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Ocean_EOF_CSR\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Ocean_EOF_GFZ\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Ocean_EOF_JPL\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Ocean_GFZ\n:GRACE_Tellus_Liquid_Water_Equivalent_Thickness_Ocean_JPL\n:Ground_Level_Nitrogen_Dioxide_3_Year_Running_Mean_1996_1998\n:Ground_Level_Nitrogen_Dioxide_3_Year_Running_Mean_2010_2012\n:GRUMP_Urban_Extents_Grid_1995\n:Human_Footprint_1995_2004\n:IMERG_Rain_Rate\n:IMERG_Snow_Rate\n:Landsat_Global_Man_made_Impervious_Surface\n:Landsat_Human_Built_up_And_Settlement_Extent\n:Landsat_WELD_CONUS_5_Year_Tree_Cover\n:Landsat_WELD_CorrectedReflectance_TrueColor_Alaska_Annual\n:Landsat_WELD_CorrectedReflectance_TrueColor_Alaska_Monthly\n:Landsat_WELD_CorrectedReflectance_TrueColor_Alaska_Seasonal\n:Landsat_WELD_CorrectedReflectance_TrueColor_CONUS_Annual\n:Landsat_WELD_CorrectedReflectance_TrueColor_CONUS_Monthly\n:Landsat_WELD_CorrectedReflectance_TrueColor_CONUS_Seasonal\n:Landsat_WELD_CorrectedReflectance_TrueColor_Global_Annual\n:Landsat_WELD_CorrectedReflectance_TrueColor_Global_Monthly\n:Landsat_WELD_NDVI_Global_Annual\n:Landsat_WELD_NDVI_Global_Monthly\n:Last_of_the_Wild_1995_2004\n:LECZ_Urban_Rural_Extents_Below_10m\n:LIS_High_Resolution_Full_Climatology_Combined_Flash_Rate_Climatology\n:LIS_High_Resolution_Full_Climatology_LIS_Flash_Rate_Climatology\n:LIS_High_Resolution_Full_Climatology_LIS_Raw_Flashes\n:LIS_High_Resolution_Full_Climatology_LIS_Scaled_Flashes\n:LIS_ISS_Flash_Count\n:LIS_ISS_Flash_Radiance\n:LIS_TRMM_Flash_Radiance\n:LIS_Very_High_Resolution_Lightning_Daily_Climatology_LIS_Mean_Flash_Rate\n:LIS_Very_High_Resolution_Lightning_Full_Climatology_LIS_Mean_Flash_Rate\n:LIS_Very_High_Resolution_Lightning_Monthly_Climatology_LIS_Mean_Flash_Rate\n:LIS_Very_High_Resolution_Lightning_Seasonal_Climatology_LIS_Mean_Flash_Rate\n:LPRM_AMSR2_Downscaled_Surface_Soil_Moisture_C1_Band_Day_Daily\n:LPRM_AMSR2_Downscaled_Surface_Soil_Moisture_C1_Band_Night_Daily\n:LPRM_AMSR2_Surface_Soil_Moisture_C1_Band_Day_Daily\n:LPRM_AMSR2_Surface_Soil_Moisture_C1_Band_Night_Daily\n:LPRM_AMSRE_Surface_Soil_Moisture_C_Band_Day_Daily\n:LPRM_AMSRE_Surface_Soil_Moisture_C_Band_Night_Daily\n:LPRM_TMI_Surface_Soil_Moisture_X_Band_Day_Daily\n:LPRM_TMI_Surface_Soil_Moisture_X_Band_Night_Daily\n:Mammal_Richness_Grids_All_Species_2013\n:Mammal_Richness_Grids_All_Threats_2013\n:Mammal_Richness_Grids_Critically_Endangered_Species_2013\n:Mammal_Richness_Grids_Endangered_Species_2013\n:Mammal_Richness_Grids_Vulnerable_Species_2013\n:Mangrove_Forest_Distribution_2000\n:MEaSUREs_Daily_Landscape_Freeze_Thaw_AMSRE\n:MEaSUREs_Daily_Landscape_Freeze_Thaw_SSMI\n:MERRA2_2m_Air_Temperature_Assimilated_Monthly\n:MERRA2_2m_Air_Temperature_Monthly\n:MERRA2_Aerosol_Optical_Depth_Analysis_Monthly\n:MERRA2_Air_Temperature_250hPa_Monthly\n:MERRA2_Carbon_Monoxide_Emission_Monthly\n:MERRA2_Convective_Rainwater_Source_700hPa_Monthly\n:MERRA2_Dust_Surface_Mass_Concentration_Monthly\n:MERRA2_Dust_Surface_Mass_Concentration_PM25_Monthly\n:MERRA2_Evaporation_from_Turbulence_Monthly\n:MERRA2_Evaporation_Land_Monthly\n:MERRA2_Incident_Shortwave_Over_Land_Monthly\n:MERRA2_ISCCP_Cloud_Albedo_Monthly\n:MERRA2_Open_Water_Latent_Energy_Flux_Monthly\n:MERRA2_Ozone_Mixing_Ratio_50hPa_Monthly\n:MERRA2_Precipitation_Bias_Corrected_Monthly\n:MERRA2_Relative_Humidity_After_Moist_700hPa_Monthly\n:MERRA2_Snowfall_Monthly\n:MERRA2_Snow_Depth_Over_Glaciated_Surface_Monthly\n:MERRA2_SO2_Column_Mass_Density_Monthly\n:MERRA2_Soil_Water_Root_Zone_Monthly\n:MERRA2_Surface_Albedo_Monthly\n:MERRA2_Surface_Pressure_Monthly\n:MERRA2_Surface_Skin_Temperature_Monthly\n:MERRA2_Surface_Wind_Speed_Monthly\n:MERRA2_Total_Aerosol_Optical_Thickness_550nm_Extinction_Monthly\n:MERRA2_Total_Aerosol_Optical_Thickness_550nm_Scattering_Monthly\n:MERRA2_Total_Dust_Deposition_Dry_Wet_Monthly\n:MERRA2_Total_Precipitable_Water_Vapor_Monthly\n:MERRA_Surface_Pressure_Monthly\n:MERRA_Surface_Skin_Temperature_Monthly\n:MISR_Aerosol_Optical_Depth_Avg_Green_Monthly\n:MISR_AM1_Ellipsoid_Radiance_NGB_AA\n:MISR_AM1_Ellipsoid_Radiance_NGB_AF\n:MISR_AM1_Ellipsoid_Radiance_NGB_AN\n:MISR_AM1_Ellipsoid_Radiance_NGB_BA\n:MISR_AM1_Ellipsoid_Radiance_NGB_BF\n:MISR_AM1_Ellipsoid_Radiance_NGB_CA\n:MISR_AM1_Ellipsoid_Radiance_NGB_CF\n:MISR_AM1_Ellipsoid_Radiance_NGB_DA\n:MISR_AM1_Ellipsoid_Radiance_NGB_DF\n:MISR_AM1_Ellipsoid_Radiance_RGB_AA\n:MISR_AM1_Ellipsoid_Radiance_RGB_AF\n:MISR_AM1_Ellipsoid_Radiance_RGB_AN\n:MISR_AM1_Ellipsoid_Radiance_RGB_BA\n:MISR_AM1_Ellipsoid_Radiance_RGB_BF\n:MISR_AM1_Ellipsoid_Radiance_RGB_CA\n:MISR_AM1_Ellipsoid_Radiance_RGB_CF\n:MISR_AM1_Ellipsoid_Radiance_RGB_DA\n:MISR_AM1_Ellipsoid_Radiance_RGB_DF\n:MISR_Cloud_Stereo_Height_Histogram_Bin_0.5km_Monthly\n:MISR_Cloud_Stereo_Height_Histogram_Bin_1.5_2.0km_Monthly\n:MISR_Directional_Hemispherical_Reflectance_Average_Natural_Color_Monthly\n:MISR_Land_NDVI_Average_Monthly\n:MISR_Radiance_Average_Infrared_Color_Monthly\n:MISR_Radiance_Average_Natural_Color_Monthly\n:MISR_TOA_Albedo_Average_Red_Monthly\n:MLS_CO_215hPa_Day\n:MLS_CO_215hPa_Night\n:MLS_H2O_46hPa_Day\n:MLS_H2O_46hPa_Night\n:MLS_HNO3_46hPa_Day\n:MLS_HNO3_46hPa_Night\n:MLS_N2O_46hPa_Day\n:MLS_N2O_46hPa_Night\n:MLS_O3_46hPa_Day\n:MLS_O3_46hPa_Night\n:MLS_SO2_147hPa_Day\n:MLS_SO2_147hPa_Night\n:MLS_Temperature_46hPa_Day\n:MLS_Temperature_46hPa_Night\n:MODIS_Aqua_Aerosol\n:MODIS_Aqua_Aerosol_Optical_Depth_3km\n:MODIS_Aqua_Angstrom_Exponent_Land\n:MODIS_Aqua_Angstrom_Exponent_Ocean\n:MODIS_Aqua_AOD_Deep_Blue_Combined\n:MODIS_Aqua_AOD_Deep_Blue_Land\n:MODIS_Aqua_Brightness_Temp_Band31_Day\n:MODIS_Aqua_Brightness_Temp_Band31_Night\n:MODIS_Aqua_Chlorophyll_A\n:MODIS_Aqua_Cloud_Effective_Radius\n:MODIS_Aqua_Cloud_Effective_Radius_37\n:MODIS_Aqua_Cloud_Effective_Radius_37_PCL\n:MODIS_Aqua_Cloud_Effective_Radius_PCL\n:MODIS_Aqua_Cloud_Fraction_Day\n:MODIS_Aqua_Cloud_Fraction_Night\n:MODIS_Aqua_Cloud_Multi_Layer_Flag\n:MODIS_Aqua_Cloud_Optical_Thickness\n:MODIS_Aqua_Cloud_Optical_Thickness_PCL\n:MODIS_Aqua_Cloud_Phase_Infrared_Day\n:MODIS_Aqua_Cloud_Phase_Infrared_Night\n:MODIS_Aqua_Cloud_Phase_Optical_Properties\n:MODIS_Aqua_Cloud_Top_Height_Day\n:MODIS_Aqua_Cloud_Top_Height_Night\n:MODIS_Aqua_Cloud_Top_Pressure_Day\n:MODIS_Aqua_Cloud_Top_Pressure_Night\n:MODIS_Aqua_Cloud_Top_Temp_Day\n:MODIS_Aqua_Cloud_Top_Temp_Night\n:MODIS_Aqua_Cloud_Water_Path\n:MODIS_Aqua_Cloud_Water_Path_PCL\n:MODIS_Aqua_CorrectedReflectance_Bands721\n:MODIS_Aqua_CorrectedReflectance_TrueColor\n:MODIS_Aqua_Data_No_Data\n:MODIS_Aqua_Ice_Surface_Temp_Day\n:MODIS_Aqua_Ice_Surface_Temp_Night\n:MODIS_Aqua_L3_SST_MidIR_4km_Night_8Day\n:MODIS_Aqua_L3_SST_MidIR_4km_Night_Annual\n:MODIS_Aqua_L3_SST_MidIR_4km_Night_Daily\n:MODIS_Aqua_L3_SST_MidIR_4km_Night_Monthly\n:MODIS_Aqua_L3_SST_MidIR_9km_Night_8Day\n:MODIS_Aqua_L3_SST_MidIR_9km_Night_Annual\n:MODIS_Aqua_L3_SST_MidIR_9km_Night_Daily\n:MODIS_Aqua_L3_SST_MidIR_9km_Night_Monthly\n:MODIS_Aqua_L3_SST_Thermal_4km_Day_8Day\n:MODIS_Aqua_L3_SST_Thermal_4km_Day_Annual\n:MODIS_Aqua_L3_SST_Thermal_4km_Day_Daily\n:MODIS_Aqua_L3_SST_Thermal_4km_Day_Monthly\n:MODIS_Aqua_L3_SST_Thermal_4km_Night_8Day\n:MODIS_Aqua_L3_SST_Thermal_4km_Night_Annual\n:MODIS_Aqua_L3_SST_Thermal_4km_Night_Daily\n:MODIS_Aqua_L3_SST_Thermal_4km_Night_Monthly\n:MODIS_Aqua_L3_SST_Thermal_9km_Day_8Day\n:MODIS_Aqua_L3_SST_Thermal_9km_Day_Annual\n:MODIS_Aqua_L3_SST_Thermal_9km_Day_Daily\n:MODIS_Aqua_L3_SST_Thermal_9km_Day_Monthly\n:MODIS_Aqua_L3_SST_Thermal_9km_Night_8Day\n:MODIS_Aqua_L3_SST_Thermal_9km_Night_Annual\n:MODIS_Aqua_L3_SST_Thermal_9km_Night_Daily\n:MODIS_Aqua_L3_SST_Thermal_9km_Night_Monthly\n:MODIS_Aqua_Land_Surface_Temp_Day\n:MODIS_Aqua_Land_Surface_Temp_Night\n:MODIS_Aqua_NDSI_Snow_Cover\n:MODIS_Aqua_Sea_Ice\n:MODIS_Aqua_SurfaceReflectance_Bands121\n:MODIS_Aqua_SurfaceReflectance_Bands143\n:MODIS_Aqua_SurfaceReflectance_Bands721\n:MODIS_Aqua_Water_Vapor_5km_Day\n:MODIS_Aqua_Water_Vapor_5km_Night\n:MODIS_Combined_Value_Added_AOD\n:MODIS_Terra_Aerosol\n:MODIS_Terra_Aerosol_Optical_Depth_3km\n:MODIS_Terra_Angstrom_Exponent_Land\n:MODIS_Terra_Angstrom_Exponent_Ocean\n:MODIS_Terra_AOD_Deep_Blue_Combined\n:MODIS_Terra_AOD_Deep_Blue_Land\n:MODIS_Terra_Brightness_Temp_Band31_Day\n:MODIS_Terra_Brightness_Temp_Band31_Night\n:MODIS_Terra_Chlorophyll_A\n:MODIS_Terra_Cloud_Effective_Radius\n:MODIS_Terra_Cloud_Effective_Radius_37\n:MODIS_Terra_Cloud_Effective_Radius_37_PCL\n:MODIS_Terra_Cloud_Effective_Radius_PCL\n:MODIS_Terra_Cloud_Fraction_Day\n:MODIS_Terra_Cloud_Fraction_Night\n:MODIS_Terra_Cloud_Multi_Layer_Flag\n:MODIS_Terra_Cloud_Optical_Thickness\n:MODIS_Terra_Cloud_Optical_Thickness_PCL\n:MODIS_Terra_Cloud_Phase_Infrared_Day\n:MODIS_Terra_Cloud_Phase_Infrared_Night\n:MODIS_Terra_Cloud_Phase_Optical_Properties\n:MODIS_Terra_Cloud_Top_Height_Day\n:MODIS_Terra_Cloud_Top_Height_Night\n:MODIS_Terra_Cloud_Top_Pressure_Day\n:MODIS_Terra_Cloud_Top_Pressure_Night\n:MODIS_Terra_Cloud_Top_Temp_Day\n:MODIS_Terra_Cloud_Top_Temp_Night\n:MODIS_Terra_Cloud_Water_Path\n:MODIS_Terra_Cloud_Water_Path_PCL\n:MODIS_Terra_CorrectedReflectance_Bands367\n:MODIS_Terra_CorrectedReflectance_Bands721\n:MODIS_Terra_CorrectedReflectance_TrueColor\n:MODIS_Terra_Data_No_Data\n:MODIS_Terra_EVI_8Day\n:MODIS_Terra_Ice_Surface_Temp_Day\n:MODIS_Terra_Ice_Surface_Temp_Night\n:MODIS_Terra_L3_SST_MidIR_4km_Night_8Day\n:MODIS_Terra_L3_SST_MidIR_4km_Night_Annual\n:MODIS_Terra_L3_SST_MidIR_4km_Night_Daily\n:MODIS_Terra_L3_SST_MidIR_4km_Night_Monthly\n:MODIS_Terra_L3_SST_MidIR_9km_Night_8Day\n:MODIS_Terra_L3_SST_MidIR_9km_Night_Annual\n:MODIS_Terra_L3_SST_MidIR_9km_Night_Daily\n:MODIS_Terra_L3_SST_MidIR_9km_Night_Monthly\n:MODIS_Terra_L3_SST_Thermal_4km_Day_8Day\n:MODIS_Terra_L3_SST_Thermal_4km_Day_Annual\n:MODIS_Terra_L3_SST_Thermal_4km_Day_Daily\n:MODIS_Terra_L3_SST_Thermal_4km_Day_Monthly\n:MODIS_Terra_L3_SST_Thermal_4km_Night_8Day\n:MODIS_Terra_L3_SST_Thermal_4km_Night_Annual\n:MODIS_Terra_L3_SST_Thermal_4km_Night_Daily\n:MODIS_Terra_L3_SST_Thermal_4km_Night_Monthly\n:MODIS_Terra_L3_SST_Thermal_9km_Day_8Day\n:MODIS_Terra_L3_SST_Thermal_9km_Day_Annual\n:MODIS_Terra_L3_SST_Thermal_9km_Day_Daily\n:MODIS_Terra_L3_SST_Thermal_9km_Day_Monthly\n:MODIS_Terra_L3_SST_Thermal_9km_Night_8Day\n:MODIS_Terra_L3_SST_Thermal_9km_Night_Annual\n:MODIS_Terra_L3_SST_Thermal_9km_Night_Daily\n:MODIS_Terra_L3_SST_Thermal_9km_Night_Monthly\n:MODIS_Terra_Land_Surface_Temp_Day\n:MODIS_Terra_Land_Surface_Temp_Night\n:MODIS_Terra_NDSI_Snow_Cover\n:MODIS_Terra_NDVI_8Day\n:MODIS_Terra_Sea_Ice\n:MODIS_Terra_SurfaceReflectance_Bands121\n:MODIS_Terra_SurfaceReflectance_Bands143\n:MODIS_Terra_SurfaceReflectance_Bands721\n:MODIS_Terra_Water_Vapor_5km_Day\n:MODIS_Terra_Water_Vapor_5km_Night\n:MODIS_Water_Mask\n:MOPITT_CO_Daily_Surface_Mixing_Ratio_Day\n:MOPITT_CO_Daily_Surface_Mixing_Ratio_Night\n:MOPITT_CO_Daily_Total_Column_Day\n:MOPITT_CO_Daily_Total_Column_L2\n:MOPITT_CO_Daily_Total_Column_Night\n:MOPITT_CO_Monthly_Surface_Mixing_Ratio_Day\n:MOPITT_CO_Monthly_Surface_Mixing_Ratio_Night\n:MOPITT_CO_Monthly_Total_Column_Day\n:MOPITT_CO_Monthly_Total_Column_Night\n:NDH_Drought_Hazard_Frequency_Distribution_1980_2000\n:NDH_Flood_Hazard_Frequency_Distribution_1985_2003\n:NDH_Landslide_Hazard_Distribution_2000\n:NLDAS_Near_Surface_Air_Temperature_Primary_Monthly\n:NLDAS_Surface_Total_Precipitation_Primary_Monthly\n:NLDAS_Surface_Total_Precipitation_Secondary_Monthly\n:NLDAS_Underground_Soil_Moisture_Mosaic_Monthly\n:NLDAS_Underground_Soil_Moisture_Noah_Monthly\n:NLDAS_Underground_Soil_Moisture_VIC_Monthly\n:OLS_DMSP_F10_Digital_Derived_Lightning\n:OLS_DMSP_F12_Digital_Derived_Lightning\n:OMI_Absorbing_Aerosol_Optical_Depth\n:OMI_Absorbing_Aerosol_Optical_Thickness_MW_388\n:OMI_Aerosol_Index\n:OMI_Aerosol_Optical_Depth\n:OMI_Cloud_Pressure\n:OMI_Nitrogen_Dioxide_Tropo_Column\n:OMI_Ozone_DOAS_Total_Column\n:OMI_Ozone_TOMS_Total_Column\n:OMI_Single_Scattering_Albedo\n:OMI_SO2_Lower_Troposphere\n:OMI_SO2_Middle_Troposphere\n:OMI_SO2_Planetary_Boundary_Layer\n:OMI_SO2_Upper_Troposphere_and_Stratosphere\n:OMI_UV_Aerosol_Index\n:OMI_UV_Erythemal_Daily_Dose\n:OMI_UV_Erythemal_Dose_Rate\n:OMI_UV_Index\n:OMPS_Aerosol_Index\n:OMPS_Aerosol_Index_PyroCumuloNimbus\n:OMPS_Ozone_Total_Column\n:OMPS_SO2_Lower_Troposphere\n:OMPS_SO2_Middle_Troposphere\n:OMPS_SO2_Planetary_Boundary_Layer\n:OMPS_SO2_Upper_Troposphere_and_Stratosphere\n:OSCAR_Sea_Surface_Currents_Meridional\n:OSCAR_Sea_Surface_Currents_Zonal\n:OSM_Land_Mask\n:OSM_Land_Water_Map\n:OTD_High_Resolution_Full_Climatology_OTD_Flash_Rate_Climatology\n:OTD_High_Resolution_Full_Climatology_OTD_Raw_Flashes\n:OTD_High_Resolution_Full_Climatology_OTD_Scaled_Flashes\n:OTD_OrbView1_Flash_Radiance\n:Particulate_Matter_Below_2.5micrometers_2001_2010\n:Particulate_Matter_Below_2.5micrometers_2010_2012\n:Probabilities_of_Urban_Expansion_2000_2030\n:Reference_Features\n:Reference_Labels\n:RSS_Merged_Wind_Climatology_Monthly\n:RSS_Total_Precipitable_Water_Climatology_Monthly\n:SMAP_L1_Passive_Brightness_Temp_Aft_H\n:SMAP_L1_Passive_Brightness_Temp_Aft_H_QA\n:SMAP_L1_Passive_Brightness_Temp_Aft_H_RFI\n:SMAP_L1_Passive_Brightness_Temp_Aft_V\n:SMAP_L1_Passive_Brightness_Temp_Aft_V_QA\n:SMAP_L1_Passive_Brightness_Temp_Aft_V_RFI\n:SMAP_L1_Passive_Brightness_Temp_Fore_H\n:SMAP_L1_Passive_Brightness_Temp_Fore_H_QA\n:SMAP_L1_Passive_Brightness_Temp_Fore_H_RFI\n:SMAP_L1_Passive_Brightness_Temp_Fore_V\n:SMAP_L1_Passive_Brightness_Temp_Fore_V_QA\n:SMAP_L1_Passive_Brightness_Temp_Fore_V_RFI\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Aft_H\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Aft_H_QA\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Aft_H_RFI\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Aft_V\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Aft_V_QA\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Aft_V_RFI\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Fore_H\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Fore_H_QA\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Fore_H_RFI\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Fore_V\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Fore_V_QA\n:SMAP_L1_Passive_Enhanced_Brightness_Temp_Fore_V_RFI\n:SMAP_L1_Passive_Faraday_Rotation_Aft\n:SMAP_L1_Passive_Faraday_Rotation_Fore\n:SMAP_L2_Passive_Day_Soil_Moisture_Option1\n:SMAP_L2_Passive_Day_Soil_Moisture_Option2\n:SMAP_L2_Passive_Day_Soil_Moisture_Option3\n:SMAP_L2_Passive_Enhanced_Day_Soil_Moisture_Option1\n:SMAP_L2_Passive_Enhanced_Day_Soil_Moisture_Option2\n:SMAP_L2_Passive_Enhanced_Day_Soil_Moisture_Option3\n:SMAP_L2_Passive_Enhanced_Night_Soil_Moisture_Option1\n:SMAP_L2_Passive_Enhanced_Night_Soil_Moisture_Option2\n:SMAP_L2_Passive_Enhanced_Night_Soil_Moisture_Option3\n:SMAP_L2_Passive_Night_Soil_Moisture_Option1\n:SMAP_L2_Passive_Night_Soil_Moisture_Option2\n:SMAP_L2_Passive_Night_Soil_Moisture_Option3\n:SMAP_L3_Active_Passive_Brightness_Temp_H\n:SMAP_L3_Active_Passive_Brightness_Temp_V\n:SMAP_L3_Active_Passive_Soil_Moisture\n:SMAP_L3_Active_Sigma0_HH\n:SMAP_L3_Active_Sigma0_HH_QA\n:SMAP_L3_Active_Sigma0_HH_RFI\n:SMAP_L3_Active_Sigma0_VV\n:SMAP_L3_Active_Sigma0_VV_QA\n:SMAP_L3_Active_Sigma0_VV_RFI\n:SMAP_L3_Active_Sigma0_XPOL\n:SMAP_L3_Active_Sigma0_XPOL_QA\n:SMAP_L3_Active_Sigma0_XPOL_RFI\n:SMAP_L3_Active_Soil_Moisture\n:SMAP_L3_Passive_Brightness_Temp_H\n:SMAP_L3_Passive_Brightness_Temp_V\n:SMAP_L3_Passive_Day_Freeze_Thaw\n:SMAP_L3_Passive_Day_Soil_Moisture\n:SMAP_L3_Passive_Enhanced_Day_Freeze_Thaw\n:SMAP_L3_Passive_Enhanced_Day_Soil_Moisture\n:SMAP_L3_Passive_Enhanced_Night_Freeze_Thaw\n:SMAP_L3_Passive_Enhanced_Night_Soil_Moisture\n:SMAP_L3_Passive_Night_Freeze_Thaw\n:SMAP_L3_Passive_Night_Soil_Moisture\n:SMAP_L3_Sea_Surface_Salinity_CAP_8Day_RunningMean\n:SMAP_L3_Sea_Surface_Salinity_CAP_Monthly\n:SMAP_L3_Sea_Surface_Salinity_REMSS_8Day_RunningMean\n:SMAP_L3_Sea_Surface_Salinity_REMSS_Monthly\n:SMAP_L4_Analyzed_Root_Zone_Soil_Moisture\n:SMAP_L4_Analyzed_Surface_Soil_Moisture\n:SMAP_L4_Emult_Average\n:SMAP_L4_Frozen_Area\n:SMAP_L4_Mean_Gross_Primary_Productivity\n:SMAP_L4_Mean_Heterotrophic_Respiration\n:SMAP_L4_Mean_Net_Ecosystem_Exchange\n:SMAP_L4_Snow_Mass\n:SMAP_L4_Soil_Temperature_Layer_1\n:SMAP_L4_Uncertainty_Analyzed_Root_Zone_Soil_Moisture\n:SMAP_L4_Uncertainty_Analyzed_Surface_Soil_Moisture\n:SMAP_L4_Uncertainty_Mean_Net_Ecosystem_Exchange\n:SMAP_Sentinel_1_L2_Active_Passive_Soil_Moisture\n:SRTM_Color_Index\n:SSMI_DMSP_F10_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F10_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F10_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F10_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F10_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F10_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F10_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F10_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F11_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F11_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F11_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F11_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F11_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F11_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F11_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F11_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F13_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F13_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F13_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F13_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F13_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F13_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F13_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F13_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F14_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F14_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F14_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F14_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F14_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F14_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F14_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F14_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F15_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F15_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F15_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F15_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F15_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F15_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F15_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F15_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F16_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F16_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F16_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F16_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F16_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F16_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F16_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F16_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F17_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F17_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F17_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F17_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F17_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F17_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F17_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F17_Wind_Speed_Over_Oceans_Descending\n:SSMI_DMSP_F8_Cloud_Liquid_Water_Over_Oceans_Ascending\n:SSMI_DMSP_F8_Cloud_Liquid_Water_Over_Oceans_Descending\n:SSMI_DMSP_F8_Rain_Rate_Over_Oceans_Ascending\n:SSMI_DMSP_F8_Rain_Rate_Over_Oceans_Descending\n:SSMI_DMSP_F8_Water_Vapor_Over_Oceans_Ascending\n:SSMI_DMSP_F8_Water_Vapor_Over_Oceans_Descending\n:SSMI_DMSP_F8_Wind_Speed_Over_Oceans_Ascending\n:SSMI_DMSP_F8_Wind_Speed_Over_Oceans_Descending\n:Summer_Day_Max_Land_Surface_Temp_2013\n:Summer_Night_Min_Land_Surface_Temp_2013\n:SWDB_Aerosol_Angstrom_Exponent_Daily\n:SWDB_Aerosol_Angstrom_Exponent_Monthly\n:SWDB_Aerosol_Optical_Thickness_550nm_Daily\n:SWDB_Aerosol_Optical_Thickness_550nm_Monthly\n:TOPEX_Poseidon_JASON_Sea_Surface_Currents_Meridional_US_West_Coast_GAFECC\n:TOPEX_Poseidon_JASON_Sea_Surface_Currents_Zonal_US_West_Coast_GAFECC\n:TOPEX_Poseidon_JASON_Sea_Surface_Height_Anomalies_GDR_Cycles\n:TOPEX_Poseidon_JASON_Sea_Surface_Height_Anomalies_Reconstructed\n:TOPEX_Poseidon_JASON_Sea_Surface_Height_Anomalies_US_West_Coast_GAFECC\n:UHI_Avg_Summer_Day_Max_Land_Surface_Temp_2013\n:UHI_Avg_Summer_Night_Min_Land_Surface_Temp_2013\n:UHI_Urban_Rural_Summer_Day_Max_Land_Surface_Temp_Difference_2013\n:UHI_Urban_Rural_Summer_Night_Min_Land_Surface_Temp_Difference_2013\n:VIIRS_Black_Marble\n:VIIRS_CityLights_2012\n:VIIRS_Night_Lights\n:VIIRS_SNPP_Brightness_Temp_BandI5_Day\n:VIIRS_SNPP_Brightness_Temp_BandI5_Night\n:VIIRS_SNPP_CorrectedReflectance_BandsM11_I2_I1\n:VIIRS_SNPP_CorrectedReflectance_BandsM3_I3_M11\n:VIIRS_SNPP_CorrectedReflectance_TrueColor\n:VIIRS_SNPP_DayNightBand_ENCC\n:MODIS_Terra_Data_No_Data\n:MODIS_Aqua_Data_No_Data\n\n\n\n\n\n","category":"function"},{"location":"index.html#Leaflet.OSM-Tuple{}","page":"Home","title":"Leaflet.OSM","text":"OSM()\n\nProvider for Standard Open Street Map base layer.\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.OSMDE-Tuple{}","page":"Home","title":"Leaflet.OSMDE","text":"OSMDE()\n\nProvider for German Open Street Map base layer.\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.OSMFrance-Tuple{}","page":"Home","title":"Leaflet.OSMFrance","text":"OSMFrance()\n\nProficer for French Open Street Map base layer.\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.OSMHumanitarian-Tuple{}","page":"Home","title":"Leaflet.OSMHumanitarian","text":"OSMHumanitarian()\n\nProficer for Humanitarian base layer.\n\nAdapted OSM base layer focused on resources useful for humanitarian organizations and citizens in general in emergency situations.\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.OpenTopoMap-Tuple{}","page":"Home","title":"Leaflet.OpenTopoMap","text":"OpenTopoMap()\n\nOpen Topo base layer.\n\n\n\n\n\n","category":"method"},{"location":"index.html#Leaflet.OpenWeatherMap","page":"Home","title":"Leaflet.OpenWeatherMap","text":"OpenWeatherMap(variant::Symbol; apikey)\n\nOpenWeatherMap base layers. An OpenWeatherMap api key is required.\n\nOptions for variant are: \n\n:clouds\n:clouds_classic\n:precipitation\n:precipitation_classic\n:rain\n:rain_classic\n:pressure\n:pressure_contour\n:wind\n:temp\n:snow\n\n\n\n\n\n","category":"function"},{"location":"index.html#Leaflet.Stamen","page":"Home","title":"Leaflet.Stamen","text":"Stamen(variant::Symbol)\n\nStamen base layers.\n\nOptions for variant are: \n\n:toner\n:toner_background\n:toner_hybrid\n:toner_lines\n:toner_labels\n:toner_lite\n:watercolor\n:terrain\n:terrain_background\n:toposm_color_relief\n:toposm_features\n\n\n\n\n\n","category":"function"},{"location":"index.html#Leaflet.Thunderforest","page":"Home","title":"Leaflet.Thunderforest","text":"Thunderforest(variant::Symbol=:cycle; apikey)\n\nProvider for Thunderforest base layers. A Thunderforest API key is required.\n\nOptions for variant are: \n\n:cycle\n:transport\n:transport_dark\n:spinal_map\n:landscape\n:outdoors\n:pioneer\n\n\n\n\n\n","category":"function"}]
}
